/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Pig BREED
 */
public enum EnumCM_PigBreed {
	HAITI_CREOLE_PIG_BREED("Haiti Creole pig breed"),
	MANOR_HYBRID_PIG_BREED("Manor Hybrid pig breed"),
	HAMLINE_PIG_BREED("Hamline pig breed"),
	MANOR_RANGER_PIG_BREED("Manor Ranger pig breed"),
	MANOR_MEISHAN_PIG_BREED("Manor Meishan pig breed"),
	COTSWOLD_GOLD_PIG_BREED("Cotswold Gold pig breed"),
	COTSWOLD_PLATINUM_PIG_BREED("Cotswold Platinum pig breed"),
	COTSWOLD_16_PIG_BREED("Cotswold 16 pig breed"),
	COTSWOLD_29_PIG_BREED("Cotswold 29 pig breed"),
	COTSWOLD_90_PIG_BREED("Cotswold 90 pig breed"),
	HAMPEN_PIG_BREED("Hampen pig breed"),
	SPM_PIG_BREED("SPM pig breed"),
	HIGH_CONFORMATION_WHITE_PIG_BREED("High Conformation White pig breed"),
	LINE_32_PIG_BREED("Line 32 pig breed"),
	LINE_21_PIG_BREED("Line 21 pig breed"),
	MEATLINE_PIG_BREED("Meatline pig breed"),
	HAMPLINE_PIG_BREED("Hampline pig breed"),
	EUROLINE_PIG_BREED("Euroline pig breed"),
	NORLINE_PIG_BREED("Norline pig breed"),
	PREMIER_PIG_BREED("Premier pig breed"),
	TRIBRED_PIG_BREED("Tribred pig breed"),
	AMERICAN_ESSEX_PIG_BREED("American Essex pig breed"),
	SINO_GASCONY_PIG_BREED("Sino-Gascony pig breed"),
	GUADELOUPE_CREOLE_PIG_BREED("Guadeloupe Creole pig breed"),
	MANAGRA_PIG_BREED("Managra pig breed"),
	CANADIAN_LANDRACE_PIG_BREED("Canadian Landrace pig breed"),
	CANADIAN_YORKSHIRE_PIG_BREED("Canadian Yorkshire pig breed"),
	MINNESOTA_4_PIG_BREED("Minnesota 4 pig breed"),
	PINEYWOODS_PIG_BREED("Pineywoods pig breed"),
	CATALINA_ISLAND_PIG_BREED("Catalina Island pig breed"),
	RAS_N_LANSA_PIG_BREED("Ras-n-Lansa pig breed"),
	PITMAN_MOORE_MINIATURE_PIG_BREED("Pitman-Moore Miniature pig breed"),
	VITA_VET_LAB_MINIPIG_PIG_BREED("Vita Vet Lab Minipig pig breed"),
	HANFORD_MINIATURE_PIG_BREED("Hanford Miniature pig breed"),
	BLACK_HAMPSHIRE_PIG_BREED("Black Hampshire pig breed"),
	RED_HAMPRACE_PIG_BREED("Red Hamprace pig breed"),
	AMERICAN_YORKSHIRE_PIG_BREED("American Yorkshire pig breed"),
	AMERICAN_BERKSHIRE_PIG_BREED("American Berkshire pig breed"),
	CAMBOROUGH_BLUE_PIG_BREED("Camborough Blue pig breed"),
	CAMBOROUGH_12_PIG_BREED("Camborough 12 pig breed"),
	WESTRAIN_PIG_BREED("Westrain pig breed"),
	DALLAND_030_PIG_BREED("Dalland 030 pig breed"),
	RAZOR_BACK_PIG_BREED("Razor-Back pig breed"),
	MACAU_PIG_BREED("Macau pig breed"),
	MOURA_PIG_BREED("Moura pig breed"),
	CANASTRA_PIG_BREED("Canastra pig breed"),
	PIRAPETINGA_PIG_BREED("Pirapetinga pig breed"),
	PIAU_PIG_BREED("Piau pig breed"),
	NILO_CANASTRA_PIG_BREED("Nilo-Canastra pig breed"),
	CANASTRAO_PIG_BREED("CanastrAo pig breed"),
	CANASTRAO_JUNQUEIRA_PIG_BREED("CanastrAo, Junqueira pig breed"),
	CANASTRAO_CAPITAO_CHICO_PIG_BREED("CanastrAo, CapitAo Chico pig breed"),
	CANASTRAO_ZABUMBA_PIG_BREED("CanastrAo, Zabumba pig breed"),
	CANASTRAO_CABANO_PIG_BREED("CanastrAo, Cabano pig breed"),
	CANASTRAO_VERMELHO_PIG_BREED("CanastrAo, Vermelho pig breed"),
	PIAU_CARUNCHO_PIAU_PIG_BREED("Piau, Caruncho Piau pig breed"),
	CANASTRINHO_PIG_BREED("Canastrinho pig breed"),
	HONDURAS_SWITCH_TAIL_PIG_BREED("Honduras Switch-Tail pig breed"),
	MASTERGILT_PIG_BREED("Mastergilt pig breed"),
	SOVEREIGN_PIG_BREED("Sovereign pig breed"),
	POLTAVA_PIG_BREED("Poltava pig breed"),
	LIPETSK_PIG_BREED("Lipetsk pig breed"),
	SOVIET_MEAT_PIG_BREED("Soviet Meat pig breed"),
	CENTRAL_RUSSIAN_PIG_BREED("Central Russian pig breed"),
	STEPPE_MEAT_PIG_BREED("Steppe Meat pig breed"),
	KHARKOV_PIG_BREED("Kharkov pig breed"),
	DNEPROPETROVSK_PIG_BREED("Dnepropetrovsk pig breed"),
	RUSSIAN_LARGE_WHITE_PIG_BREED("Russian Large White pig breed"),
	FOREST_MOUNTAIN_PIG_BREED("Forest Mountain pig breed"),
	DNIEPER_PIG_BREED("Dnieper pig breed"),
	IBERIAN_PIG_BREED("Iberian pig breed"),
	IBERIAN_EXTREMADURA_RED_PIG_BREED("Iberian, Extremadura Red pig breed"),
	IBERIAN_JABUGO_SPOTTED_PIG_BREED("Iberian, Jabugo Spotted pig breed"),
	IBERIAN_BLACK_IBERIAN_PIG_BREED("Iberian, Black Iberian pig breed"),
	PHILIPPINE_NATIVE_ILOCOS_PIG_BREED("Philippine Native, Ilocos pig breed"),
	PHILIPPINE_NATIVE_JALAJALA_PIG_BREED("Philippine Native, Jalajala pig breed"),
	MANGALISTA_PIG_BREED("Mangalista pig breed"),
	ALENTEJANA_PIG_BREED("Alentejana pig breed"),
	BELGIAN_LANDRACE_BN_PIG_BREED("Belgian Landrace, BN pig breed"),
	FRENCH_LARGE_WHITE_PIG_BREED("French Large White pig breed"),
	HYPER_LARGE_WHITE_PIG_BREED("Hyper Large White pig breed"),
	TIA_MESLAN_PIG_BREED("Tia Meslan pig breed"),
	PEN_AR_LAN_77_PIG_BREED("Pen ar Lan 77 pig breed"),
	PENSHIRE_PIG_BREED("Penshire pig breed"),
	LACONIE_PIG_BREED("Laconie pig breed"),
	MURCIAN_PIG_BREED("Murcian pig breed"),
	CAVALLINO_PIG_BREED("Cavallino pig breed"),
	CALABRIAN_PIG_BREED("Calabrian pig breed"),
	APULIAN_PIG_BREED("Apulian pig breed"),
	SIENA_BELTED_PIG_BREED("Siena Belted pig breed"),
	CALASCIBETTA_PIG_BREED("Calascibetta pig breed"),
	GASSING_FOREST_PIG_PIG_BREED("GAssing Forest Pig pig breed"),
	SWISS_EDELSCHWEIN_PIG_BREED("Swiss Edelschwein pig breed"),
	NORTH_CAUCASUS_PIG_BREED("North Caucasus pig breed"),
	DON_PIG_BREED("Don pig breed"),
	ROSTOV_PIG_BREED("Rostov pig breed"),
	RUSSIAN_LONG_EARED_WHITE_PIG_BREED("Russian Long-Eared White pig breed"),
	RUSSIAN_SHORT_EARED_WHITE_PIG_BREED("Russian Short-Eared White pig breed"),
	PRISHEKSNINSK_PIG_BREED("Prisheksninsk pig breed"),
	BREITOV_PIG_BREED("Breitov pig breed"),
	LIVNY_PIG_BREED("Livny pig breed"),
	TSIVILSK_PIG_BREED("Tsivilsk pig breed"),
	URZHUM_PIG_BREED("Urzhum pig breed"),
	MINISIB_PIG_BREED("Minisib pig breed"),
	SAKHALIN_WHITE_PIG_BREED("Sakhalin White pig breed"),
	NORTH_SIBERIAN_PIG_BREED("North Siberian pig breed"),
	SIBERIAN_BLACK_PIED_PIG_BREED("Siberian Black Pied pig breed"),
	KEMEROVO_PIG_BREED("Kemerovo pig breed"),
	KM_1_PIG_BREED("KM-1 pig breed"),
	AKSAA_BLACK_PIED_PIG_BREED("AksaA Black Pied pig breed"),
	SEMIRECHENSK_PIG_BREED("Semirechensk pig breed"),
	MIN_PIG_BREED("Min pig breed"),
	SANJIANG_WHITE_PIG_BREED("Sanjiang White pig breed"),
	BASQUE_BLACK_PIED_PIG_BREED("Basque Black Pied pig breed"),
	CORSICAN_PIG_BREED("Corsican pig breed"),
	CRAOLE_PIG_BREED("CrAole pig breed"),
	GASCONY_PIG_BREED("Gascony pig breed"),
	LIMOUSIN_PIG_BREED("Limousin pig breed"),
	HARBIN_WHITE_PIG_BREED("Harbin White pig breed"),
	HEILONGJIANG_SPOTTED_PIG_BREED("Heilongjiang Spotted pig breed"),
	LIAONING_BLACK_PIG_BREED("Liaoning Black pig breed"),
	HUANG_HUAI_HAI_BLACK_SHENXIAN_PIG_BREED("Huang-Huai-Hai Black, Shenxian pig breed"),
	HUANG_HUAI_HAI_BLACK_PIG_BREED("Huang-Huai-Hai Black pig breed"),
	BAMEI_PIG_BREED("Bamei pig breed"),
	HANJIANG_BLACK_PIG_BREED("Hanjiang Black pig breed"),
	DING_PIG_BREED("Ding pig breed"),
	HUAI_PIG_BREED("Huai pig breed"),
	NEW_HUAI_PIG_BREED("New Huai pig breed"),
	MASHEN_PIG_BREED("Mashen pig breed"),
	YIMENG_BLACK_PIG_BREED("Yimeng Black pig breed"),
	HETAO_LOP_EAR_PIG_BREED("Hetao Lop-Ear pig breed"),
	KOREAN_NATIVE_PIG_BREED("Korean Native pig breed"),
	KOREAN_IMPROVED_PIG_BREED("Korean Improved pig breed"),
	PENBUK_PIG_BREED("Penbuk pig breed"),
	BEIJING_BLACK_PIG_BREED("Beijing Black pig breed"),
	CHENGHUA_PIG_BREED("Chenghua pig breed"),
	TAOYUAN_PIG_BREED("Taoyuan pig breed"),
	TAIWAN_SMALL_BLACK_PIG_BREED("Taiwan Small Black pig breed"),
	TAIWAN_SMALL_RED_PIG_BREED("Taiwan Small Red pig breed"),
	GUANLING_PIG_BREED("Guanling pig breed"),
	HUCHUAN_MOUNTAIN_PIG_BREED("Huchuan Mountain pig breed"),
	RONGCHANG_PIG_BREED("Rongchang pig breed"),
	WUJIN_PIG_BREED("Wujin pig breed"),
	DAHE_PIG_BREED("Dahe pig breed"),
	YANAN_PIG_BREED("Yanan pig breed"),
	SOUTH_YUNNAN_SHORT_EARED_PIG_BREED("South Yunnan Short-Eared pig breed"),
	HAINAN_LINGAO_PIG_BREED("Hainan, Lingao pig breed"),
	HAINAN_TUNCHANG_PIG_BREED("Hainan, Tunchang pig breed"),
	HAINAN_WENCHANG_PIG_BREED("Hainan, Wenchang pig breed"),
	LIANG_GUANG_SMALL_SPOTTED_PIG_BREED("Liang Guang Small Spotted pig breed"),
	GERMAN_PASTURE_PIG_BREED("German Pasture pig breed"),
	PIAU_SOROCABA_PIG_BREED("Piau, Sorocaba pig breed"),
	NILO_PIG_BREED("Nilo pig breed"),
	BAHIA_PIG_BREED("Bahia pig breed"),
	PERNA_CURTA_PIG_BREED("Perna-Curta pig breed"),
	CARUNCHINHO_PIG_BREED("Carunchinho pig breed"),
	MANDI_PIG_BREED("Mandi pig breed"),
	OREHLA_DE_COLHER_PIG_BREED("Orehla de Colher pig breed"),
	VENEZUELAN_BLACK_PIG_BREED("Venezuelan Black pig breed"),
	BOLIVIAN_PIG_BREED("Bolivian pig breed"),
	PELAN_PIG_BREED("PelAn pig breed"),
	MEXICAN_WATTLED_PIG_BREED("Mexican Wattled pig breed"),
	DALLAND_080_PIG_BREED("Dalland 080 pig breed"),
	MONARCH_PIG_BREED("Monarch pig breed"),
	BISARO_PIG_BREED("Bisaro pig breed"),
	BLACK_HAIRLESS_PIG_BREED("Black Hairless pig breed"),
	BLACK_MANGALITSA_PIG_BREED("Black Mangalitsa pig breed"),
	BORGHIGIANA_PIG_BREED("Borghigiana pig breed"),
	CHIANINA_PIG_BREED("Chianina pig breed"),
	COSENTINA_PIG_BREED("Cosentina pig breed"),
	CUINO_PIG_BREED("Cuino pig breed"),
	FRIULI_BLACK_PIG_BREED("Friuli Black pig breed"),
	FUMATI_PIG_BREED("Fumati pig breed"),
	GALICIAN_PIG_BREED("Galician pig breed"),
	GERMAN_BERKSHIRE_PIG_BREED("German Berkshire pig breed"),
	GHORI_PIG_BREED("Ghori pig breed"),
	JIANLI_PIG_BREED("Jianli pig breed"),
	LUCANIAN_PIG_BREED("Lucanian pig breed"),
	MAREMMANA_PIG_BREED("Maremmana pig breed"),
	MIAMI_PIG_BREED("Miami pig breed"),
	MONTMORILLON_PIG_BREED("Montmorillon pig breed"),
	OLD_SWEDISH_SPOTTED_PIG_BREED("Old Swedish Spotted pig breed"),
	OLIVENTINA_PIG_BREED("Oliventina pig breed"),
	PARMENSE_PIG_BREED("Parmense pig breed"),
	ROMAGNOLA_PIG_BREED("Romagnola pig breed"),
	SIBERIAN_PIG_BREED("Siberian pig breed"),
	SMALL_WHITE_PIG_BREED("Small White pig breed"),
	BALTARET_PIG_BREED("Baltaret pig breed"),
	TUNGCHANG_PIG_BREED("Tungchang pig breed"),
	STERLING_PIG_BREED("Sterling pig breed"),
	VICH_PIG_BREED("Vich pig breed"),
	VIETNAMESE_PIG_BREED("Vietnamese pig breed"),
	VITORIA_PIG_BREED("Vitoria pig breed"),
	WAI_CHOW_PIG_BREED("Wai Chow pig breed"),
	YORKSHIRE_BLUE_AND_WHITE_PIG_BREED("Yorkshire Blue and White pig breed"),
	DALLAND_020_PIG_BREED("Dalland 020 pig breed"),
	WILTSHIRE_PIG_BREED("Wiltshire pig breed"),
	HAMROC_PIG_BREED("Hamroc pig breed"),
	DRU_TERMINALS_PIG_BREED("DRU™ Terminals pig breed"),
	CAMBOROUGH_22_PIG_BREED("Camborough 22 pig breed"),
	CAMBOROUGH_15_PIG_BREED("Camborough 15 pig breed"),
	PR_1050_PIG_BREED("PR 1050 pig breed"),
	PR_1075_PIG_BREED("PR 1075 pig breed"),
	CHRYAK_PIC_PIG_BREED("Chryak PIC pig breed"),
	CANADIAN_ROYAL_BLUE_PIG_BREED("Canadian Royal Blue pig breed"),
	LINE_500_DUROC_PIG_BREED("Line 500 Duroc pig breed"),
	BODMIN_950_PIG_BREED("Bodmin 950 pig breed"),
	CANADIAN_DUROC_PIG_BREED("Canadian Duroc pig breed"),
	CANADIAN_HAMPSHIRE_PIG_BREED("Canadian Hampshire pig breed"),
	BA_XUYEN_PIG_BREED("Ba Xuyen pig breed"),
	ARAPAWA_ISLAND_PIG_BREED("Arapawa Island pig breed"),
	WUZHISHAN_PIG_BREED("Wuzhishan pig breed"),
	PHILIPPINE_NATIVE_PIG_BREED("Philippine Native pig breed"),
	SINCLAIR_MINIATURE_PIG_BREED("Sinclair Miniature pig breed"),
	SADDLEBACK_PIG_BREED("Saddleback pig breed"),
	YUCATAN_MINATURE_PIG_BREED("Yucatan Minature pig breed"),
	BANTU_PIG_BREED("Bantu pig breed"),
	TIBETAN_PIG_BREED("Tibetan pig breed"),
	TUROPOLJE_PIG_BREED("Turopolje pig breed"),
	VIETNAMESE_POT_BELLIED_PIG_PIG_BREED("Vietnamese Pot-Bellied Pig pig breed"),
	AMERICAN_LANDRACE_PIG_BREED("American Landrace pig breed"),
	SWALLOW_BELIED_MANGALITZA_PIG_BREED("Swallow Belied Mangalitza pig breed"),
	FENGJING_PIG_BREED("Fengjing pig breed"),
	FINNISH_LANDRACE_PIG_BREED("Finnish Landrace pig breed"),
	GUINEA_HOG_PIG_BREED("Guinea Hog pig breed"),
	HEZUO_PIG_BREED("Hezuo pig breed"),
	OSSABAW_ISLAND_PIG_BREED("Ossabaw Island pig breed"),
	KELE_PIG_BREED("Kele pig breed"),
	KRSKOPOLJE_PIG_BREED("Krskopolje pig breed"),
	KUNEKUNE_PIG_BREED("Kunekune pig breed"),
	LARGE_BLACK_WHITE_PIG_BREED("Large Black-White pig breed"),
	LITHUANIAN_NATIVE_PIG_BREED("Lithuanian Native pig breed"),
	MEISHAN_PIG_BREED("Meishan pig breed"),
	JINHUA_PIG_BREED("Jinhua pig breed"),
	NINGXIANG_PIG_BREED("Ningxiang pig breed"),
	MORA_ROMAGNOLA_PIG_BREED("Mora Romagnola pig breed"),
	MUKOTA_PIG_BREED("Mukota pig breed"),
	MINZHU_PIG_BREED("Minzhu pig breed"),
	NEIJIANG_PIG_BREED("Neijiang pig breed"),
	MULEFOOT_PIG_BREED("Mulefoot pig breed"),
	NORMAND_PIG_BREED("Normand pig breed"),
	ANGELN_SADDLEBACK_PIG_BREED("Angeln Saddleback pig breed"),
	GREEK_LOCAL_PIG_BREED("Greek Local pig breed"),
	ICELANDIC_PIG_BREED("Icelandic pig breed"),
	CASERTANA_PIG_BREED("Casertana pig breed"),
	MADONIE_SICILIAN_PIG_BREED("Madonie-Sicilian pig breed"),
	SARDINIAN_PIG_BREED("Sardinian pig breed"),
	SICILIAN_PIG_BREED("Sicilian pig breed"),
	ZLOTNIKI_SPOTTED_PIG_BREED("Zlotniki Spotted pig breed"),
	ZLOTNIKI_WHITE_PIG_BREED("Zlotniki White pig breed"),
	SISKA_PIG_BREED("Siska pig breed"),
	SUMADIJA_PIG_BREED("Sumadija pig breed"),
	FROXFIELD_PYGMY_PIG_BREED("Froxfield Pygmy pig breed"),
	DANISH_LARGE_WHITE_PIG_BREED("Danish Large White pig breed"),
	DANISH_DUROC_PIG_BREED("Danish Duroc pig breed"),
	DANISH_HAMPSHIRE_PIG_BREED("Danish Hampshire pig breed"),
	PIGGHAM_PIG_BREED("Piggham pig breed"),
	NEW_YORK_RED_PIG_BREED("New York Red pig breed"),
	FINNISH_YORKSHIRE_PIG_BREED("Finnish Yorkshire pig breed"),
	DUTCH_YORKSHIRE_PIG_BREED("Dutch Yorkshire pig breed"),
	PULAWY_PIG_BREED("Pulawy pig breed"),
	POMERANIAN_PIG_BREED("Pomeranian pig breed"),
	POLISH_LANDRACE_PIG_BREED("Polish Landrace pig breed"),
	ESTONIAN_BACON_PIG_BREED("Estonian Bacon pig breed"),
	LATVIAN_WHITE_PIG_BREED("Latvian White pig breed"),
	LITHUANIAN_WHITE_PIG_BREED("Lithuanian White pig breed"),
	BKB_1_PIG_BREED("BKB-1 pig breed"),
	BELORUS_BLACK_PIED_PIG_BREED("Belorus Black Pied pig breed"),
	MIRGOROD_PIG_BREED("Mirgorod pig breed"),
	LIANG_GUANG_SMALL_SPOTTED_LUCHUAN_PIG_BREED("Liang Guang Small Spotted, Luchuan pig breed"),
	FUJIAN_SMALL_PIG_BREED("Fujian Small pig breed"),
	NORTH_FUJIAN_BLACK_AND_WHITE_PIG_BREED("North Fujian Black-and-White pig breed"),
	FUAN_SPOTTED_PIG_BREED("Fuan Spotted pig breed"),
	PUTIAN_PIG_BREED("Putian pig breed"),
	FUZHOU_BLACK_PIG_BREED("Fuzhou Black pig breed"),
	MINBEI_SPOTTED_PIG_BREED("Minbei Spotted pig breed"),
	LANTANG_PIG_BREED("Lantang pig breed"),
	LIANG_GUANG_SMALL_SPOTTED_GUANGDONG_SMALL_EAR_PIG_BREED("Liang Guang Small Spotted, Guangdong Small Ear pig breed"),
	LONGLIN_PIG_BREED("Longlin pig breed"),
	YUEDONG_BLACK_PIG_BREED("Yuedong Black pig breed"),
	XIANG_PIG_BREED("Xiang pig breed"),
	CANTONESE_PIG_BREED("Cantonese pig breed"),
	JINHUA_DONGYANG_PIG_BREED("Jinhua, Dongyang pig breed"),
	JINHUA_YONGKANG_PIG_BREED("Jinhua, Yongkang pig breed"),
	DAWEIZI_PIG_BREED("Daweizi pig breed"),
	HUAZHONG_TWO_END_BLACK_PIG_BREED("Huazhong Two-End Black pig breed"),
	HUAZHONG_TWO_END_BLACK_JIANLI_PIG_BREED("Huazhong Two-End Black, Jianli pig breed"),
	HUAZHONG_TWO_END_BLACK_TONGCHENG_PIG_BREED("Huazhong Two-End Black, Tongcheng pig breed"),
	HUAZHONG_TWO_END_BLACK_SATZELING_PIG_BREED("Huazhong Two-End Black, Satzeling pig breed"),
	GANZHONGNAN_SPOTTED_PIG_BREED("Ganzhongnan Spotted pig breed"),
	HANG_PIG_BREED("Hang pig breed"),
	LEPING_PIG_BREED("Leping pig breed"),
	LONGYOU_BLACK_PIG_BREED("Longyou Black pig breed"),
	WUYI_BLACK_PIG_BREED("Wuyi Black pig breed"),
	LEE_SUNG_PIG_BREED("Lee-Sung pig breed"),
	LAN_YU_PIG_BREED("Lan-Yu pig breed"),
	VIETNAMESE_YORKSHIRE_PIG_BREED("Vietnamese Yorkshire pig breed"),
	YUJIANG_PIG_BREED("Yujiang pig breed"),
	WANZHE_SPOTTED_PIG_BREED("Wanzhe Spotted pig breed"),
	WANZHE_SPOTTED_CHUNAN_SPOTTED_PIG_BREED("Wanzhe Spotted, Chunan Spotted pig breed"),
	WANZHE_SPOTTED_WANNAN_SPOTTED_PIG_BREED("Wanzhe Spotted, Wannan Spotted pig breed"),
	SHENGXIAN_SPOTTED_PIG_BREED("Shengxian Spotted pig breed"),
	QINGPING_PIG_BREED("Qingping pig breed"),
	XIANGXI_BLACK_PIG_BREED("Xiangxi Black pig breed"),
	BAMAXIANG_PIG_BREED("Bamaxiang pig breed"),
	TAIHU_PIG_BREED("Taihu pig breed"),
	ERHULIAN_PIG_BREED("Erhulian pig breed"),
	JIAXING_BLACK_PIG_BREED("Jiaxing Black pig breed"),
	MI_PIG_BREED("Mi pig breed"),
	SHAHUTOU_PIG_BREED("Shahutou pig breed"),
	JIAOXI_PIG_BREED("Jiaoxi pig breed"),
	SHANGHAI_WHITE_PIG_BREED("Shanghai White pig breed"),
	HUBEI_WHITE_PIG_BREED("Hubei White pig breed"),
	XINJIN_PIG_BREED("Xinjin pig breed"),
	XINJIN_JILIN_BLACK_PIG_BREED("Xinjin, Jilin Black pig breed"),
	XINJIN_NING_AN_PIG_BREED("Xinjin, Ning-an pig breed"),
	A_PIG_BREED("A pig breed"),
	DBI_PIG_BREED("DBI pig breed"),
	XINJIN_XINJIN_PIG_BREED("Xinjin, Xinjin pig breed"),
	MEIXIN_PIG_BREED("Meixin pig breed"),
	NORTH_EAST_CHINA_SPOTTED_PIG_BREED("North East China Spotted pig breed"),
	FANNONG_SPOTTED_PIG_BREED("Fannong Spotted pig breed"),
	LAOSHAN_PIG_BREED("Laoshan pig breed"),
	NANJING_BLACK_PIG_BREED("Nanjing Black pig breed"),
	SHANXI_BLACK_PIG_BREED("Shanxi Black pig breed"),
	GANZHOU_WHITE_PIG_BREED("Ganzhou White pig breed"),
	GUANGXI_WHITE_PIG_BREED("Guangxi White pig breed"),
	HANZHONG_WHITE_PIG_BREED("Hanzhong White pig breed"),
	LUTAI_WHITE_PIG_BREED("Lutai White pig breed"),
	YILI_WHITE_PIG_BREED("Yili White pig breed"),
	XINJIANG_WHITE_PIG_BREED("Xinjiang White pig breed"),
	BSI_PIG_BREED("BSI pig breed"),
	MONG_CAI_PIG_BREED("Mong Cai pig breed"),
	LANG_HONG_PIG_BREED("Lang Hong pig breed"),
	MUONG_KHUONG_PIG_BREED("Muong Khuong pig breed"),
	MEO_PIG_BREED("Meo pig breed"),
	TONG_CON_PIG_BREED("Tong Con pig breed"),
	HA_BAC_PIG_BREED("Ha Bac pig breed"),
	THAI_BINH_PIG_BREED("Thai Binh pig breed"),
	CO_PIG_BREED("Co pig breed"),
	SWISS_IMPROVED_LANDRACE_PIG_BREED("Swiss Improved Landrace pig breed"),
	GERMAN_LANDRACE_B_PIG_BREED("German Landrace B pig breed"),
	EDELSCHWEIN_PIG_BREED("Edelschwein pig breed"),
	SWABIAN_HALL_PIG_BREED("Swabian-Hall pig breed"),
	BENTHEIM_BLACK_PIED_PIG_BREED("Bentheim Black Pied pig breed"),
	BALDINGER_SPOTTED_PIG_BREED("Baldinger Spotted pig breed"),
	GERMAN_RED_PIED_PIG_BREED("German Red Pied pig breed"),
	GERMAN_CORNWALL_PIG_BREED("German Cornwall pig breed"),
	GATTINGEN_MINIATURE_PIG_BREED("GAttingen Miniature pig breed"),
	MUNICH_MINIATURE_PIG_BREED("Munich Miniature pig breed"),
	LEICOMA_PIG_BREED("Leicoma pig breed"),
	SCHWERFURT_MEAT_PIG_BREED("Schwerfurt Meat pig breed"),
	HUNGARIAN_WHITE_PIG_BREED("Hungarian White pig breed"),
	HUNGAHYB_PIG_BREED("Hungahyb pig breed"),
	BULGARIAN_NATIVE_PIG_BREED("Bulgarian Native pig breed"),
	EAST_BALKAN_PIG_BREED("East Balkan pig breed"),
	KULA_PIG_BREED("Kula pig breed"),
	NGHIA_BINH_PIG_BREED("Nghia Binh pig breed"),
	KAKHETIAN_PIG_BREED("Kakhetian pig breed"),
	WEST_FRENCH_WHITE_PIG_BREED("West French White pig breed"),
	MUBAN_PIG_BREED("Muban pig breed"),
	IBAN_PIG_BREED("Iban pig breed"),
	TUY_HOA_HAIRLESS_PIG_BREED("Tuy Hoa Hairless pig breed"),
	HAINAN_PIG_BREED("Hainan pig breed"),
	SINO_VIETNAMESE_PIG_BREED("Sino-Vietnamese pig breed"),
	BO_XU_PIG_BREED("Bo Xu pig breed"),
	THUOC_NHIEU_PIG_BREED("Thuoc Nhieu pig breed"),
	BURMESE_PIG_BREED("Burmese pig breed"),
	CHIN_PIG_BREED("Chin pig breed"),
	SIAMESE_PIG_BREED("Siamese pig breed"),
	HAILUM_PIG_BREED("Hailum pig breed"),
	KWAI_PIG_BREED("Kwai pig breed"),
	RAAD_PIG_BREED("Raad pig breed"),
	AKHA_PIG_BREED("Akha pig breed"),
	SOUTH_CHINA_PIG_BREED("South China pig breed"),
	SOUTH_CHINA_BLACK_PIG_BREED("South China Black pig breed"),
	BALINESE_PIG_BREED("Balinese pig breed"),
	DIANI_PIG_BREED("Diani pig breed"),
	KAMAN_PIG_BREED("Kaman pig breed"),
	ASHANTI_DWARF_PIG_BREED("Ashanti Dwarf pig breed"),
	KORONADAL_PIG_BREED("Koronadal pig breed"),
	OHMINI_PIG_BREED("Ohmini pig breed"),
	CLAWN_PIG_BREED("Clawn pig breed"),
	INOBUTA_INTER_SPECIES_HYBRID_PIG_BREED("Inobuta (inter-species hybrid) pig breed"),
	KANGAROO_ISLAND_PIG_BREED("Kangaroo Island pig breed"),
	CAPTAIN_COOKER_PIG_BREED("Captain Cooker pig breed"),
	WEST_AFRICAN_PIG_BREED("West African pig breed"),
	NIGERIAN_PIG_BREED("Nigerian pig breed"),
	BAKOSI_PIG_BREED("Bakosi pig breed"),
	WINDSNYER_PIG_BREED("Windsnyer pig breed"),
	KOLBROEK_PIG_BREED("Kolbroek pig breed"),
	SOUTH_AFRICAN_LANDRACE_PIG_BREED("South African Landrace pig breed"),
	BULGARIAN_WHITE_PIG_BREED("Bulgarian White pig breed"),
	BULGARIAN_LANDRACE_PIG_BREED("Bulgarian Landrace pig breed"),
	DANUBE_WHITE_PIG_BREED("Danube White pig breed"),
	DERMANTSI_PIED_PIG_BREED("Dermantsi Pied pig breed"),
	ROMANIAN_NATIVE_STOCLI_PIG_BREED("Romanian Native, Stocli pig breed"),
	ROMANIAN_NATIVE_BALTARET_PIG_BREED("Romanian Native, Baltaret pig breed"),
	BANAT_WHITE_PIG_BREED("Banat White pig breed"),
	BAZNA_PIG_BREED("Bazna pig breed"),
	DOBROGEA_BLACK_PIG_BREED("Dobrogea Black pig breed"),
	STREI_PIG_BREED("Strei pig breed"),
	ROMANIAN_LARGE_WHITE_PIG_BREED("Romanian Large White pig breed"),
	ROMANIAN_MEAT_PIG_PIG_BREED("Romanian Meat Pig pig breed"),
	GURKTAL_PIG_BREED("Gurktal pig breed"),
	BLACK_SLAVONIAN_PIG_BREED("Black Slavonian pig breed"),
	RESAVA_PIG_BREED("Resava pig breed"),
	MORAVA_PIG_BREED("Morava pig breed"),
	DZUMALIA_PIG_BREED("Dzumalia pig breed"),
	MACEDONIAN_PIG_BREED("Macedonian pig breed"),
	ALBANIAN_NATIVE_PIG_BREED("Albanian Native pig breed"),
	SHKODRA_PIG_BREED("Shkodra pig breed"),
	SLOVENIAN_WHITE_PIG_BREED("Slovenian White pig breed"),
	SUBOTICA_WHITE_PIG_BREED("Subotica White pig breed"),
	PRESTICE_PIG_BREED("Prestice pig breed"),
	SLOVAKIAN_BLACK_PIED_PIG_BREED("Slovakian Black Pied pig breed"),
	CZECH_IMPROVED_WHITE_PIG_BREED("Czech Improved White pig breed"),
	MORAVIAN_LARGE_YORKSHIRE_PIG_BREED("Moravian Large Yorkshire pig breed"),
	SLOVAKIAN_WHITE_PIG_BREED("Slovakian White pig breed"),
	SLOVHYB_1_PIG_BREED("Slovhyb-1 pig breed"),
	NITRA_HYBRID_PIG_BREED("Nitra Hybrid pig breed"),
	SYNTHETIC_SL98_PIG_BREED("Synthetic SL98 pig breed"),
	SL96_PIG_BREED("SL96 pig breed"),
	CZECH_MEAT_PIG_BREED("Czech Meat pig breed"),
	CZECH_MINIATURE_PIG_BREED("Czech Miniature pig breed"),
	SMALL_POLISH_PRICK_EARED_PIG_BREED("Small Polish Prick-Eared pig breed"),
	POLESIAN_PIG_BREED("Polesian pig breed"),
	NADBUZANSKA_PIG_BREED("Nadbuzanska pig breed"),
	SARNY_PIG_BREED("Sarny pig breed"),
	KROLEVETS_PIG_BREED("Krolevets pig breed"),
	POLISH_MARSH_PIG_BREED("Polish Marsh pig breed"),
	LARGE_POLISH_LONG_EARED_PIG_BREED("Large Polish Long-Eared pig breed"),
	BELTSVILLE_PIG_BREED("Beltsville pig breed"),
	BELTSVILLE_PIG_1_PIG_BREED("Beltsville pig 1 pig breed"),
	BELTSVILLE_PIG_2_PIG_BREED("Beltsville pig 2 pig breed"),
	BERKSHIRE_PIG_BREED("Berkshire pig breed"),
	KENTUCKY_RED_BERKSHIRE_PIG_BREED("Kentucky red berkshire pig breed"),
	BOAR_POWER_PIG_BREED("Boar power pig breed"),
	BOAR_POWER_PIG_27_PIG_BREED("Boar power pig 27 pig breed"),
	BOAR_POWER_PIG_48_PIG_BREED("Boar power pig 48 pig breed"),
	BOAR_POWER_PIG_59_PIG_BREED("Boar power pig 59 pig breed"),
	BOAR_POWER_PIG_72_PIG_BREED("Boar power pig 72 pig breed"),
	BOAR_POWER_PIG_84_PIG_BREED("Boar power pig 84 pig breed"),
	BOAR_POWER_PIG_141_PIG_BREED("Boar power pig 141 pig breed"),
	BOAR_POWER_PIG_161_PIG_BREED("Boar power pig 161 pig breed"),
	BOAR_POWER_PIG_282_PIG_BREED("Boar power pig 282 pig breed"),
	BOAR_POWER_PIG_292_PIG_BREED("Boar power pig 292 pig breed"),
	BOAR_POWER_PIG_414_PIG_BREED("Boar power pig 414 pig breed"),
	BOAR_POWER_PIG_454_PIG_BREED("Boar power pig 454 pig breed"),
	BOAR_POWER_PIG_474_PIG_BREED("Boar power pig 474 pig breed"),
	BOAR_POWER_PIG_545_PIG_BREED("Boar power pig 545 pig breed"),
	BOAR_POWER_PIG_565_PIG_BREED("Boar power pig 565 pig breed"),
	BOAR_POWER_PIG_616_PIG_BREED("Boar power pig 616 pig breed"),
	BOAR_POWER_PIG_656_PIG_BREED("Boar power pig 656 pig breed"),
	BOAR_POWER_PIG_747_PIG_BREED("Boar power pig 747 pig breed"),
	BOAR_POWER_PIG_828_PIG_BREED("Boar power pig 828 pig breed"),
	BOAR_POWER_PIG_929_PIG_BREED("Boar power pig 929 pig breed"),
	BRITISH_LOP_PIG_BREED("British lop pig breed"),
	BRITISH_SADDLEBACK_PIG_BREED("British saddleback pig breed"),
	CPF_PIG_BREED("CPF pig breed"),
	CPF_PIG_1_PIG_BREED("CPF pig 1 pig breed"),
	CPF_PIG_2_PIG_BREED("CPF pig 2 pig breed"),
	CHESTER_WHITE_PIG_BREED("Chester white pig breed"),
	CONNOR_PRAIRIE_PIG_BREED("Connor prairie pig breed"),
	DK_PIG_BREED("DK pig breed"),
	DK_PIG_30_PIG_BREED("DK pig 30 pig breed"),
	DK_PIG_31_PIG_BREED("DK pig 31 pig breed"),
	DK_PIG_33_PIG_BREED("DK pig 33 pig breed"),
	DK_PIG_51_PIG_BREED("DK pig 51 pig breed"),
	DK_PIG_61_PIG_BREED("DK pig 61 pig breed"),
	DK_PIG_63_PIG_BREED("DK pig 63 pig breed"),
	DK_PIG_77_PIG_BREED("DK pig 77 pig breed"),
	DUROC_PIG_BREED("Duroc pig breed"),
	FHC_PIG_BREED("FHC pig breed"),
	FHC_ELITE_PIG_1_PIG_BREED("FHC elite pig 1 pig breed"),
	FHC_ELITE_PIG_2_PIG_BREED("FHC elite pig 2 pig breed"),
	FHC_ELITE_PIG_3_PIG_BREED("FHC elite pig 3 pig breed"),
	FHC_ELITE_PIG_4_PIG_BREED("FHC elite pig 4 pig breed"),
	FHC_ELITE_PIG_5_PIG_BREED("FHC elite pig 5 pig breed"),
	FHC_ELITE_PIG_6_PIG_BREED("FHC elite pig 6 pig breed"),
	FHC_ELITE_PIG_7_PIG_BREED("FHC elite pig 7 pig breed"),
	FHC_ELITE_PIG_8_PIG_BREED("FHC elite pig 8 pig breed"),
	FHC_ELITE_PIG_9_PIG_BREED("FHC elite pig 9 pig breed"),
	GLOUCESTER_OLD_SPOT_PIG_BREED("Gloucester old spot pig breed"),
	HAMPSHIRE_PIG_BREED("Hampshire pig breed"),
	HEREFORD_PIG_BREED("Hereford pig breed"),
	HORMEL_MINIATURE_PIG_BREED("Hormel miniature pig breed"),
	KLEEN_LEEN_PIG_BREED("Kleen leen pig breed"),
	KLEEN_LEEN_BLACK_PIG_BREED("Kleen leen black pig breed"),
	KLEEN_LEEN_RED_PIG_BREED("Kleen leen red pig breed"),
	KLEEN_LEEN_WHITE_PIG_BREED("Kleen leen white pig breed"),
	LACOMBE_PIG_BREED("Lacombe pig breed"),
	LANDRACE_PIG_BREED("Landrace pig breed"),
	BELGIUM_LANDRACE_PIG_BREED("Belgium landrace pig breed"),
	BRITISH_LANDRACE_PIG_BREED("British landrace pig breed"),
	DANISH_LANDRACE_PIG_BREED("Danish landrace pig breed"),
	DUTCH_LANDRACE_PIG_BREED("Dutch landrace pig breed"),
	FRENCH_LANDRACE_PIG_BREED("French landrace pig breed"),
	GERMAN_LANDRACE_PIG_BREED("German landrace pig breed"),
	ITALIAN_LANDRACE_PIG_BREED("Italian landrace pig breed"),
	NORWEGIAN_LANDRACE_PIG_BREED("Norwegian landrace pig breed"),
	SWEDISH_LANDRACE_PIG_BREED("Swedish landrace pig breed"),
	LARGE_BLACK_PIG_BREED("Large black pig breed"),
	LARGE_WHITE_PIG_BREED("Large white pig breed"),
	LUCIE_PIG_BREED("Lucie pig breed"),
	MARYLAND_PIG_BREED("Maryland pig breed"),
	MARYLAND_PIG_1_PIG_BREED("Maryland pig 1 pig breed"),
	MIDDLE_WHITE_PIG_BREED("Middle white pig breed"),
	MINNESOTA_PIG_BREED("Minnesota pig breed"),
	MINNESOTA_PIG_1_PIG_BREED("Minnesota pig 1 pig breed"),
	MINNESOTA_PIG_2_PIG_BREED("Minnesota pig 2 pig breed"),
	MINNESOTA_PIG_3_PIG_BREED("Minnesota pig 3 pig breed"),
	MONTANA_PIG_BREED("Montana pig breed"),
	MONTANA_PIG_1_PIG_BREED("Montana pig 1 pig breed"),
	OIC_PIG_BREED("OIC pig breed"),
	OXFORD_SANDY_BLOCK_PIG_BREED("Oxford sandy block pig breed"),
	PALOUSE_PIG_BREED("Palouse pig breed"),
	PIC_PIG_BREED("Pic pig breed"),
	PIC_CAMBOURGH_PIG_BREED("Pic Cambourgh pig breed"),
	PIC_LINE_PIG_24_PIG_BREED("Pic line pig 24 pig breed"),
	PIC_LINE_PIG_26_PIG_BREED("Pic line pig 26 pig breed"),
	PIETRAIN_PIG_BREED("Pietrain pig breed"),
	POLAND_CHINA_PIG_BREED("Poland China pig breed"),
	RED_WATTLE_PIG_BREED("Red wattle pig breed"),
	SAN_PIERRE_PIG_BREED("San Pierre pig breed"),
	SPOTTED_PIG_BREED("Spotted pig breed"),
	TAMWORTH_PIG_BREED("Tamworth pig breed"),
	WELSH_PIG_BREED("Welsh pig breed"),
	WESSEX_SADDLEBACK_PIG_BREED("Wessex saddleback pig breed"),
	YORKSHIRE_PIG_BREED("Yorkshire pig breed"),
	YUCA_PIG_BREED("Yuca pig breed"),
	UKRAINIAN_STEPPE_WHITE_PIG_BREED("Ukrainian steppe white pig breed");
	
	private String value;

	EnumCM_PigBreed(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
